> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# v2 Audience Wave Counts Query

> Returns wave counts



## OpenAPI

````yaml post /v2/query/audience_wave_counts
openapi: 3.0.0
info:
  title: Audience Wave Counts Query
  description: Query for Audience Builder.
  version: 2.0.0
servers:
  - url: https://api.globalwebindex.com
security: []
paths:
  /v2/query/audience_wave_counts:
    post:
      tags:
        - Query
      summary: v2 Audience Wave Counts Query
      description: Returns wave counts
      operationId: AudienceWaveCounts
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AudienceExpression'
        description: Audience Expression
        required: true
      responses:
        '200':
          description: Correct results for given expression.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WaveCountsResults'
        '400':
          description: Invalid query in request body.
        '401':
          description: Auth bearer doesn't have permissions to access this endpoint.
        '403':
          description: >-
            Auth bearer doesn't have permissions to access some codes in
            requested query.
        '500':
          description: Server is not able to give correct response.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    AudienceExpression:
      type: object
      description: Flexible expression of audience scope.
      title: AudienceExpression
      properties:
        and:
          type: array
          description: List of sub-expressions to apply intersection of their scopes.
          items:
            $ref: '#/components/schemas/AudienceExpression'
        or:
          type: array
          description: List of sub-expressions to apply union of their scopes.
          items:
            $ref: '#/components/schemas/AudienceExpression'
        not:
          type: boolean
          description: To use negation of the expression.
        question:
          type: string
          description: Question code to define datapoint scope.
          example: q2
        options:
          type: array
          description: Datapoint codes to limit scopes of interest.
          items:
            type: string
          example:
            - q2_1
            - q2_2
        suffixes:
          type: array
          description: Suffixes to extend datapoint codes for more detailed responses.
          items:
            type: string
          example:
            - '1'
            - '2'
            - '3'
        min_count:
          type: integer
          description: Minimal count of positive datapoints in one response.
          example: 1
      example:
        and:
          - question: q2
            options:
              - q2_1
              - q2_2
            min_count: 1
            not: false
          - question: q6
            options:
              - q6_2
            min_count: 1
            not: false
    WaveCountsResults:
      type: object
      description: Result of wave counts for audience builder query
      title: WaveCountsResults
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/WaveCountsResult'
    WaveCountsResult:
      type: object
      title: WaveCountsResult
      properties:
        wave_code:
          type: string
          description: Wave code.
          example: q2_2019
        total:
          type: integer
          example: 10
        percentage:
          type: number
          example: 0.3

````